Name:           qesteidutil
Version:        0.3.0
Release:        2%{?dist}
Summary:        Estonian ID card utility

Group:          Applications/Productivity
License:        LGPLv2+
URL:            http://code.google.com/p/esteid/
Source0:        http://esteid.googlecode.com/files/%{name}-%{version}.tar.bz2
# Use system qtsingleapplication, backported from upstream SVN
Patch0:         qesteidutil-0.3.0-system_qtsingleapplication.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  libp11-devel
BuildRequires:  openssl-devel
BuildRequires:  qt4-devel
BuildRequires:  qt4-webkit-devel
BuildRequires:  qtsingleapplication-devel
BuildRequires:  smartcardpp-devel
Requires:       opensc%{?_isa}

%description
QEsteidUtil is an application for managing Estonian ID Card. In an
user-friendly interface it is possible to change and unlock PINs, examine
detailed information about personal data file on the card, extract and view
certificates, set up mobile ID, and configure @eesti.ee email.


%prep
%setup -q
%patch0 -p0 -b .system_qtsingleapplication

# Remove bundled qtsingleapplication to make sure it isn't used
rm -rf qtsingleapplication


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/qesteidutil.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/qesteidutil
%{_datadir}/applications/qesteidutil.desktop
%{_datadir}/icons/hicolor/*/apps/qesteidutil.png


%changelog
* Thu Oct 07 2010 Kalev Lember <kalev@smartlink.ee> - 0.3.0-2
- Backported patch to use system qtsingleapplication (#641042)

* Thu Oct 07 2010 Kalev Lember <kalev@smartlink.ee> - 0.3.0-1
- Update to 0.3.0

* Tue May 11 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.0-0.19.svn2685
- BR qt4-webkit-devel (F14+)

* Mon Mar 29 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.0-0.18.svn2685
- Spec file clean up
- Added AUTHORS and COPYING docs
- Cleaned up nightly build changelog entries

* Fri Feb 26 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.0-0.14.svn2499
- rebuilt with Qt 4.6

* Thu Jan 21 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.0-0.11.svn2455
- rebuilt with new libp11

* Sun Jun 14 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.0-0.1.svn714
- Initial RPM release.
